﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Fluke 199B: ADJ RS-232 /5500+SC300
DATE:                  2018-02-28 09:45:44
AUTHOR:                Fluke
REVISION:              $Revision: 22843 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       240
CONFIGURATION:         Fluke 5500A (SC)
=============================================================================
#
#  Procedure Author:
#        DT, DFM, DAC, VY
#
#  Source:
#        Fluke 19xB-19xC-2x5C ScopeMeter®  Service Manual,
#          models 192B,196B,199B,192C,196C,199C,215C,225C
#        Part No. 4822 872 05391, September 2002, rev.2, Oct.09
#
#  Compatibility:
#        MET/CAL 8.2 or later
#
#  Additional Equipment Required:
#        Adapter, dual banana plug to BNC(f), Fluke PM 9081/001
#        Adapter, dual banana jack to BNC(m), Fluke PM 9082/001
#        Test leads, stackable, 24", 4 ea.
#        Termination, feedthrough, 50 Ω, Fluke PM 9585
#        Cable, 50 Ω, BNC(m)-(m), Pomona 2249-C-36, 2 ea.
#        Fluke PM9080 Optically Isolated Interface Cable
#        Fluke Adapter Kit, Part No. 689486 or equivalent. Includes DB9(f)
#         to DB9(f) null modem adapter and DB9(m) to DB9(m) gender changer
#        VPS210-G Voltage Probe (200 MHz, 10:1), Grey and Red
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statements are included to force the main procedure header to
# include CONFIGURATION lines for the references used in the subprocedures.
  1.001  IF           0
  1.002  5500         0.5Vpp                       1kH            ED SC S  L
  1.003  ENDIF

  1.004  ASK-                        P                                     V

  1.005  IF           NOT(VERSIONCHECK("8.2"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright
  1.009  CALL         Sub High Voltage Safety Warning

  1.010  HEAD         PRELIMINARY INSTRUCTIONS
  1.011  DISP         Ensure the UUT has been allowed to stabilize, and
  1.011  DISP         that this calibration is performed in an environment
  1.011  DISP         of 23 °C ± 5 °C prior to proceeding...

  1.012  HEAD         EQUIPMENT REQUIREMENTS
  1.013  OPBR         -z Do you want to review the list of additional
  1.013  OPBR         equipment and/or accessories required?

  1.014  IF           MEM1
  1.015  DISP         The following additional equipment and/or
  1.015  DISP         accessories are required:
  1.015  DISP
  1.015  DISP         - Adapter, dual banana plug to BNC(f), Fluke PM 9081/001
  1.015  DISP         - Adapter, dual banana jack to BNC(m), Fluke PM 9082/001
  1.015  DISP         - Test leads, stackable, 4 ea.
  1.015  DISP         - Termination, feedthrough, BNC, 50 Ω, Fluke PM 9585
  1.015  DISP         - Cable, 50 Ω, BNC(m)-(m), Pomona 2249-C-36, 2 ea.
  1.015  DISP         - Cable, communication, isolated, Fluke PM 9080
  1.015  DISP         - Adapter Kit, Fluke Part No. 689486 (COM5500 Selected)
  1.015  DISP         -
  1.015  DISP         - Accessories supplied with UUT
  1.015  DISP         [32] Power Adapter, BC190
  1.015  DISP         [32] VPS210-G Voltage Probe (200 MHz, 10:1),Grey and Red
  1.016  ENDIF

  1.017  HEAD         GENERAL INSTRUCTIONS
# Configure interface cable.
  1.018  MATH         lb = lbNew("Communication Interface Cable Type")
  1.019  MATH         lbText(lb, "To communicate with Fluke 43 series, you")
  1.020  MATH         lbText(lb, "can use the FLUKE OC4USB Optical Cable for")
  1.021  MATH         lbText(lb, "USB or Fluke PM9080 Optically Isolated")
  1.022  MATH         lbText(lb, "RS-232 cable.")
  1.023  MATH         lbText(lb, "")
  1.024  MATH         lbText(lb, "Select your cable type from list box below")
  1.025  MATH         lbAdd(lb, "Fluke OC4USB Optical Cable for USB")
  1.026  MATH         lbAdd(lb,"Fluke PM9080 Optically Isolated RS-232 cable")
  1.027  MATH         lbShow(lb)
  1.028  MATH         Index = lbGetSelX(lb, 1)

  1.029  IF           Index == 1
  1.030  CALL         Sub Fluke ScopeMeter (UUT) Connection RS-232 /OC4USB
  1.031  ELSE
  1.032  CALL         Sub Fluke ScopeMeter (UUT) Connection RS-232 /5500
  1.033  ENDIF

  1.034  JMPL         END                          @Abort

  1.035  HEAD         SYSTEM RS232 SETUP
# Setup RS232 communication.
  1.036  PORT         [REOPEN][P1200,N,8,1,X][T30000][OTERM CR]

  1.037  HEAD         UUT IDENTIFICATION
  1.038  MATH         Model = "199B"; @Bandwidth = 200E+6
# Query test tool name and firmware version.
  1.039  CALL         Sub Fluke ScopeMeter Identification RS-232

# Make sure correct UUT is connected.
  1.040  MATH         L[1] = ZCMPI("Fluke", @Manufacturer)
  1.041  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.042  IF           NOT(L[1]) || NOT(L[2])
  1.043  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.043  DISP         not a Fluke [V Model]!
  1.044  END
  1.045  ENDIF

  1.046  HEAD         GENERAL INSTRUCTIONS
  1.047  DISP         Throughout this procedure, the UUT MUST be operated
  1.047  DISP         using the BC190 battery charger.
  1.047  DISP
  1.047  DISP         The UUT must, however, have a fully charged battery
  1.047  DISP         pack installed.

  1.048  CALL         Sub Fluke 19x Cal Date and Time Setup RS-232
# Set the flag for loop.
  1.049  MATH         RepeatCalNow = 0

  1.050  DO
  1.051  HEAD         PROCEDURE EXECUTION NOTE
  1.052  DISP         This procedure MUST be executed consecutively in
  1.052  DISP         it's entirety. If difficulty is encountered, in
  1.052  DISP         order to avoid having to unnecessarily repeat
  1.052  DISP         the "Warming-Up & Pre-Calibration" process, abort
  1.052  DISP         the procedure and repeat it from the beginning.
  1.052  DISP         Do NOT cycle the power or otherwise disturb the
  1.052  DISP         state of the UUT.

  1.053  OPBR         -z The "Warming-Up & Pre-Calibration" process must be
  1.053  OPBR         done before the final calibration adjustment. It takes
  1.053  OPBR         about 1 hour.
  1.053  OPBR
  1.053  OPBR         This procedure can lead you to initiate the UUT Warming
  1.053  OPBR         up process.
  1.053  OPBR
  1.053  OPBR         Whereas most people prefer to perform this Warming Up
  1.053  OPBR         manually prior procedure running in order saving time of
  1.053  OPBR         calibration. So here the status of UUT Warming Up need
  1.053  OPBR         to be confirmed.
  1.053  OPBR
  1.053  OPBR         Has the UUT "Warming-Up & Pre-Calibration" process
  1.053  OPBR         already been performed?
  1.053  OPBR
  1.053  OPBR         (If Warming Up successfully performed, the UUT displays
  1.053  OPBR         "End Precal :READY")

  1.054  MATH         @WarmingupDone = MEM1; @Abort = 0
  1.055  CALL         Sub Fluke 19x Cal Warming-up Setup RS-232

  1.056  IF           @Abort
  1.057  END
  1.058  ENDIF

  1.059  CALL         Sub Fluke 19x ScopeMeter Contrast Adjust RS-232
  1.060  CALL         Sub Fluke 19xB/C Final Cal Steps RS-232 /5500+SC

  1.061  HEAD         SAVE CAL DATA
  1.062  HEAD         -2 Saving calibration data, Please Wait....
  1.063  MATH         @Cmd = "RC"
  1.064  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.065  HEAD         -2

# Check if calibration data are valid.
# Status byte is 16 bits, cal data bit number is 7, succeeded is 0, fail is 1.
  1.066  CALL         Sub Fluke ScopeMeter Instrument Status RS-232
  1.067  MATH         CalDataValid = NOT(BIT(7, MEM))

  1.068  IF           NOT(CalDataValid)
  1.069  DISP         THE CALIBRATION DATA ARE NOT VALID!
  1.069  DISP
  1.069  DISP         The calibration was done incorrectly!
  1.069  DISP         The calibration must be repeated in its
  1.069  DISP         entirety.
  1.069  DISP
  1.069  DISP         Select "Advance" for instructions.

  1.070  OPBR         -z The "Warming-Up & Pre-Calibration" process need not
  1.070  OPBR         be repeated unless MET/CAL® indicates it is invalid.
  1.070  OPBR         If you select "No", the UUT will enter the normal
  1.070  OPBR         operating mode, displaying the message:
  1.070  OPBR         "The test tool needs calibration ..."
  1.070  OPBR
  1.070  OPBR         Do you wish to REPEAT the calibration now?
  1.071  MATH         RepeatCalNow = MEM1

  1.072  IF           NOT(RepeatCalNow)
  1.073  OPBR         -z Do you wish to maintain the old calibration data?

  1.074  IF           MEM1
  1.075  DISP         Turn the UUT OFF at once. The invalid calibration data
  1.075  DISP         will not be applied now.
  1.075  DISP
  1.075  DISP         Retry the entire calibration later.
  1.076  END
  1.077  ENDIF

  1.078  ENDIF        ; NOT(RepeatCalNow)

  1.079  ENDIF        ; NOT(CalDataValid)

  1.080  UNTIL        CalDataValid || NOT(RepeatCalNow)

  1.081  HEAD         -2
  1.082  CALL         Sub Fluke ScopeMeter Enter Operational Mode RS-232
  1.083  CALL         Sub Fluke ScopeMeter Go to Local RS-232
  1.084  CALL         Sub Fluke ScopeMeter Reset Instrument RS-232

  1.085  CALL         Sub Fluke 19x Probe Cal RS-232

  1.086  LABEL        END

  1.087  IF           @Abort
  1.088  HEAD         A D J U S T M E N T   A B O R T E D
  1.089  ENDIF

  1.090  END
